/* $Id: ht71.h 30 2009-03-09 06:06:14Z gbv $ */
/***************************************************************************
 *   Copyright (C) 2009 by Guillermo Ballester Valor                       *
 *   gbv@oxixares.com                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdint.h>
#include <math.h>
#include <time.h>
#include <getopt.h>
#include <libintl.h>
#ifdef WITH_DB
# include "metdb.h"
#endif

/* library for correction */
#include "metcal.h"

#define PATH_LEN  256

/* numero de datos maximos a leer de una DB */
#define OBSLIMIT 16384

/* Masks to select parameters */
#define MASK_TEM 1
#define MASK_HUM 2

extern int DT, SQL, NOCAL;
extern int DTEM, DHR;
extern char ENTRADA[256];
extern char SALIDA[256];
extern char INDIC[32];
extern char INICIO[16];
extern char FINAL[16];
extern time_t TINI, TFIN;
extern FILE *F, *O;
extern struct cal_point CPT[MAX_CAL_POINTS];
extern struct cal_point CPH[MAX_CAL_POINTS];
extern char SELF[];

extern struct cal_pol CALt, CALh;
extern struct station_cal CALHT71;
extern char CORFILE[];

#ifdef WITH_DB
extern int OVERWRITE, FROMDB, KILLDATA;
extern char DBFILE[PATH_LEN];
extern size_t INSERTED, REJECTED, ERRORS;
#endif

struct obs_ht71 {
   time_t datime;
   int16_t dat[2];
};



void print_usage(void);
int lee_argumentos( int _argc, char * _argv[]);
double value( double x, struct cal_pol *c);

#ifdef WITH_DB

int insert_db_obs_ht71(DB *dbp, struct obs_ht71 *obs);
int get_db_obs_ht71(DB *dbp, struct obs_ht71 *obs, size_t maxobs, time_t tbegin, time_t tend);
int del_db_obs_ht71(DB *dbp, time_t tbegin, time_t tend);

#endif
